//
//  GMToFacePayPrepareModel.m
//  Gengmei
//
//  Created by zhouLiang on 2020/4/8.
//  Copyright © 2020 更美互动信息科技有限公司. All rights reserved.
//

#import "GMToFacePayPrepareModel.h"

@implementation GMToFacePayCounsellorInfoModel


@end

@implementation GMToFacePayTypeModel

@end

@implementation GMToFacePayPrepareModel
- (NSString *)priceStr {
    NSString *str;
    NSInteger iPrice = self.price/100;
    NSInteger fPrice = self.price%100;
    if (fPrice == 0) {
        str = [NSString stringWithFormat:@"%ld",iPrice];
    }else if (fPrice<10) {
        str = [NSString stringWithFormat:@"%ld.0%ld",iPrice,fPrice];
    }else {
        str = [NSString stringWithFormat:@"%ld.%ld",iPrice,fPrice];
    }
    return str;
}
- (NSString *)paymentAmountStr {
    NSString *str;
    NSInteger iPrice = self.paymentAmount/100;
    NSInteger fPrice = self.paymentAmount%100;
    if (fPrice == 0) {
        str = [NSString stringWithFormat:@"%ld",iPrice];
    }else if (fPrice<10) {
        str = [NSString stringWithFormat:@"%ld.0%ld",iPrice,fPrice];
    }else {
        str = [NSString stringWithFormat:@"%ld.%ld",iPrice,fPrice];
    }
    return str;
}
@end
